## rootlesskit 0.14.2

=== Makefile ===
GO=go
GO_FILES=$(shell find . -name *.go)
BINARIES=rootlesskit rootlessctl rootlesskit-docker-proxy

.PHONY: all
all: $(addprefix bin/, $(BINARIES))

.PHONY: clean
clean:
	$(RM) -r bin/ _artifact/

bin/rootlesskit: $(GO_FILES)
	$(GO) build -o $@ -v github.com/rootless-containers/rootlesskit/cmd/rootlesskit

bin/rootlessctl: $(GO_FILES)
	$(GO) build -o $@ -v github.com/rootless-containers/rootlesskit/cmd/rootlessctl

bin/rootlesskit-docker-proxy: $(GO_FILES)
	$(GO) build -o $@ -v github.com/rootless-containers/rootlesskit/cmd/rootlesskit-docker-proxy

.PHONY: cross
cross:
	./hack/make-cross.sh

BINDIR ?= /usr/local/bin
.PHONY: install
install:
	install -D -m 755 $(CURDIR)/bin/rootlesskit $(DESTDIR)$(BINDIR)/rootlesskit
	install -D -m 755 $(CURDIR)/bin/rootlessctl $(DESTDIR)$(BINDIR)/rootlessctl
	install -D -m 755 $(CURDIR)/bin/rootlesskit-docker-proxy $(DESTDIR)$(BINDIR)/rootlesskit-docker-proxy

## rootlesskit 0.10.0+ds1

=== debian/changelog ===
rootlesskit (0.10.0+ds1-2) unstable; urgency=medium

  * Change Architecture to linux-any
  * Update default lxc-user-nic path patch.
    Now it has correct value on both Debian and Ubuntu

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 29 Jul 2020 02:54:52 +0800

rootlesskit (0.10.0+ds1-1) unstable; urgency=medium

  * New upstream release v0.10.0

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 29 Jul 2020 00:42:28 +0800

rootlesskit (0.9.5+ds1-2) unstable; urgency=medium

  * Enable lxcusernic
  * Fix default lxc-use-nic binary path
  * Bump golang-github-pkg-errors-dev to 0.9.0
  * Bump debhelper-compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 12 Jul 2020 16:43:21 +0800

rootlesskit (0.9.5+ds1-1) unstable; urgency=medium

  * New upstream release v0.9.5
  * Refresh patches for new version

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 16 Jun 2020 23:08:08 +0800

rootlesskit (0.9.4+ds1-2) unstable; urgency=medium

  * Add golang-github-rootless-containers-rootlesskit-dev.
    Also provides the development package, it may be used by
    libpod in the future.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 May 2020 04:17:53 +0800

rootlesskit (0.9.4+ds1-1) unstable; urgency=medium

  * Initial release (Closes: 959204)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 May 2020 02:14:37 +0800

=== debian/control ===
Source: rootlesskit
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-gofrs-flock-dev,
               golang-github-gorilla-mux-dev,
               golang-github-insomniacslk-dhcp-dev,
               golang-github-moby-sys-dev,
               golang-github-pkg-errors-dev (>= 0.9.0),
               golang-github-stretchr-testify-dev,
               golang-github-urfave-cli-dev,
               golang-golang-x-sys-dev,
               golang-logrus-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/rootlesskit
Vcs-Git: https://salsa.debian.org/go-team/packages/rootlesskit.git
Homepage: https://github.com/rootless-containers/rootlesskit
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/rootless-containers/rootlesskit

Package: rootlesskit
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Recommends: slirp4netns,
Description: Linux-native "fake root" for rootless containers
 The purpose of RootlessKit is to run Docker and
 Kubernetes as an unprivileged user (known as "Rootless mode"),
 so as to protect the real root on the host from potential
 container-breakout attacks.
 .
 RootlessKit creates user_namespaces(7) and mount_namespaces(7),
 and executes newuidmap(1)/newgidmap(1) along with subuid(5) and
 subgid(5).
 .
 RootlessKit also supports isolating network_namespaces(7) with
 userspace NAT using "slirp".
 .
 This Debian package doesn't support vpnkit mode.
 .
 On Debian system, kernel.unprivileged_userns_clone should be enabled.

Package: golang-github-rootless-containers-rootlesskit-dev
Architecture: all
Depends: golang-github-gofrs-flock-dev,
         golang-github-gorilla-mux-dev,
         golang-github-insomniacslk-dhcp-dev,
         golang-github-moby-sys-dev,
         golang-github-pkg-errors-dev (>= 0.9.0),
         golang-golang-x-sys-dev,
         golang-logrus-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Linux-native "fake root" for rootless containers (library)
 The purpose of RootlessKit is to run Docker and
 Kubernetes as an unprivileged user (known as "Rootless mode"),
 so as to protect the real root on the host from potential
 container-breakout attacks.
 .
 RootlessKit creates user_namespaces(7) and mount_namespaces(7),
 and executes newuidmap(1)/newgidmap(1) along with subuid(5) and
 subgid(5).
 .
 RootlessKit also supports isolating network_namespaces(7) with
 userspace NAT using "slirp".
 .
 This package contains the development files.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%rootlesskit-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/rootless-containers/rootlesskit/tags .*/v?(\d\S*)\.tar\.gz debian

## rootlesskit 0.13.2

=== debian/changelog ===
rootlesskit (0.13.2-1) unstable; urgency=medium

  * New upstream release 0.13.2

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 23 Feb 2021 00:57:53 +0800

rootlesskit (0.13.1-1) unstable; urgency=medium

  * New upstream release 0.13.1

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 15 Feb 2021 20:51:03 +0800

rootlesskit (0.13.0-1) unstable; urgency=medium

  * New upstream release 0.13.0
  * Update Section to golang and admin

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 02 Feb 2021 00:15:29 +0800

rootlesskit (0.12.0-1) unstable; urgency=medium

  * New upstream release 0.12.0
  * Update Standards-Version to 4.5.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 22 Jan 2021 15:30:32 +0800

rootlesskit (0.11.1+ds1-2) unstable; urgency=medium

  * Add uidmap to Depends

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 13 Nov 2020 23:30:18 +0800

rootlesskit (0.11.1+ds1-1) unstable; urgency=medium

  * New upstream release 0.11.1

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 13 Nov 2020 23:06:33 +0800

rootlesskit (0.11.0+ds1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Shengjing Zhu ]
  * Build with golang-github-urfave-cli-v2-dev
  * Replace transitional package golang-logrus-dev
  * Refresh patches

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 05 Nov 2020 22:46:55 +0800

rootlesskit (0.10.1+ds1-1) unstable; urgency=medium

  * New upstream release 0.10.1

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 16 Sep 2020 23:38:10 +0800

## rootlesskit 0.14.2

=== debian/changelog ===
rootlesskit (0.14.2-1) unstable; urgency=medium

  * New upstream release 0.14.2
    Fix slirp4netns port driver with Docker 20.10.6.

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 21 Apr 2021 01:42:50 +0800

rootlesskit (0.14.1-1) unstable; urgency=medium

  * New upstream release 0.14.1

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 30 Mar 2021 22:57:12 +0800

rootlesskit (0.14.0-2) unstable; urgency=medium

  * Add patch for urfave/cli 2.2.0 compatibility

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 16 Mar 2021 23:29:54 +0800

rootlesskit (0.14.0-1) unstable; urgency=medium

  * New upstream release 0.14.0

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 16 Mar 2021 23:07:35 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: rootlesskit
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Shengjing Zhu <zhsj@debian.org>,
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -12,11 +12,11 @@
                golang-github-insomniacslk-dhcp-dev,
                golang-github-moby-sys-dev,
                golang-github-pkg-errors-dev (>= 0.9.0),
+               golang-github-sirupsen-logrus-dev,
                golang-github-stretchr-testify-dev,
-               golang-github-urfave-cli-dev,
+               golang-github-urfave-cli-v2-dev,
                golang-golang-x-sys-dev,
-               golang-logrus-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rootlesskit
 Vcs-Git: https://salsa.debian.org/go-team/packages/rootlesskit.git
 Homepage: https://github.com/rootless-containers/rootlesskit
@@ -24,8 +24,10 @@
 XS-Go-Import-Path: github.com/rootless-containers/rootlesskit
 
 Package: rootlesskit
+Section: admin
 Architecture: linux-any
-Depends: ${misc:Depends},
+Depends: uidmap,
+         ${misc:Depends},
          ${shlibs:Depends},
 Built-Using: ${misc:Built-Using},
 Recommends: slirp4netns,
@@ -53,8 +55,8 @@
          golang-github-insomniacslk-dhcp-dev,
          golang-github-moby-sys-dev,
          golang-github-pkg-errors-dev (>= 0.9.0),
+         golang-github-sirupsen-logrus-dev,
          golang-golang-x-sys-dev,
-         golang-logrus-dev,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Linux-native "fake root" for rootless containers (library)

## rootlesskit 0.14.6

=== debian/changelog ===
rootlesskit (0.14.6-1ubuntu1) jammy; urgency=medium

  * d/p/drop-new-cli-template-funcs.patch: Fix --help output crash
    by dropping usage of not-yet-supported cli template functions.

 -- dann frazier <dannf@ubuntu.com>  Wed, 02 Mar 2022 13:57:29 -0700

rootlesskit (0.14.6-1) unstable; urgency=medium

  * New upstream release 0.14.6
  * Remove golang-github-pkg-errors-dev from Depends
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 07 Feb 2022 00:08:31 +0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: rootlesskit
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Shengjing Zhu <zhsj@debian.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -11,12 +12,11 @@
                golang-github-gorilla-mux-dev,
                golang-github-insomniacslk-dhcp-dev,
                golang-github-moby-sys-dev,
-               golang-github-pkg-errors-dev (>= 0.9.0),
                golang-github-sirupsen-logrus-dev,
                golang-github-stretchr-testify-dev,
                golang-github-urfave-cli-v2-dev,
                golang-golang-x-sys-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rootlesskit
 Vcs-Git: https://salsa.debian.org/go-team/packages/rootlesskit.git
 Homepage: https://github.com/rootless-containers/rootlesskit
@@ -54,7 +54,6 @@
          golang-github-gorilla-mux-dev,
          golang-github-insomniacslk-dhcp-dev,
          golang-github-moby-sys-dev,
-         golang-github-pkg-errors-dev (>= 0.9.0),
          golang-github-sirupsen-logrus-dev,
          golang-golang-x-sys-dev,
          ${misc:Depends},

## rootlesskit 1.0.1

=== debian/changelog ===
rootlesskit (1.0.1-1) unstable; urgency=medium

  * New upstream release 1.0.1
  * Update Standards-Version to 4.6.1 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 16 Jun 2022 23:46:10 +0800

rootlesskit (1.0.0-1) unstable; urgency=medium

  * New upstream release 1.0.0
  * Add Multi-Arch hint

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 29 Mar 2022 02:41:47 +0800

rootlesskit (0.14.6-2) unstable; urgency=medium

  * Bump golang-github-urfave-cli-v2-dev to 2.3.0 (Closes: #1006701)

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 07 Mar 2022 23:28:22 +0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: rootlesskit
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Shengjing Zhu <zhsj@debian.org>,
 Section: golang
 Testsuite: autopkgtest-pkg-go
@@ -14,9 +13,9 @@
                golang-github-moby-sys-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-stretchr-testify-dev,
-               golang-github-urfave-cli-v2-dev,
+               golang-github-urfave-cli-v2-dev (>= 2.3.0~),
                golang-golang-x-sys-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rootlesskit
 Vcs-Git: https://salsa.debian.org/go-team/packages/rootlesskit.git
 Homepage: https://github.com/rootless-containers/rootlesskit
@@ -50,6 +49,7 @@
 
 Package: golang-github-rootless-containers-rootlesskit-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: golang-github-gofrs-flock-dev,
          golang-github-gorilla-mux-dev,
          golang-github-insomniacslk-dhcp-dev,

## rootlesskit 1.1.0

=== debian/changelog ===
rootlesskit (1.1.0-1) unstable; urgency=medium

  * New upstream release 1.1.0
  * Update Build-Depends
    + Add golang-github-gotestyourself-gotest.tools-dev
    + Remove golang-github-stretchr-testify-dev
  * Install all docs

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 17 Nov 2022 01:32:06 +0800

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                golang-any,
                golang-github-gofrs-flock-dev,
                golang-github-gorilla-mux-dev,
+               golang-github-gotestyourself-gotest.tools-dev,
                golang-github-insomniacslk-dhcp-dev,
                golang-github-moby-sys-dev,
                golang-github-sirupsen-logrus-dev,
-               golang-github-stretchr-testify-dev,
                golang-github-urfave-cli-v2-dev (>= 2.3.0~),
                golang-golang-x-sys-dev,
 Standards-Version: 4.6.1

## rootlesskit 1.1.1

=== debian/changelog ===
rootlesskit (1.1.1-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:18:06 +1200

rootlesskit (1.1.1-1) unstable; urgency=medium

  * New upstream release 1.1.1
    + Remove duplicate id ranges returned by getsubu/gid for username/uid
      (Closes: #1037119)
  * Update Standards-Version to 4.6.2 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 29 Jul 2023 18:54:06 +0800

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                golang-github-sirupsen-logrus-dev,
                golang-github-urfave-cli-v2-dev (>= 2.3.0~),
                golang-golang-x-sys-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rootlesskit
 Vcs-Git: https://salsa.debian.org/go-team/packages/rootlesskit.git
 Homepage: https://github.com/rootless-containers/rootlesskit

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/rootless-containers/rootlesskit refs/tags/v([\d\.]+)

## rootlesskit 2.0.2

=== Makefile ===
--- 
+++ 
@@ -10,13 +10,13 @@
 	$(RM) -r bin/ _artifact/
 
 bin/rootlesskit: $(GO_FILES)
-	$(GO) build -o $@ -v github.com/rootless-containers/rootlesskit/cmd/rootlesskit
+	$(GO) build -o $@ -v ./cmd/rootlesskit
 
 bin/rootlessctl: $(GO_FILES)
-	$(GO) build -o $@ -v github.com/rootless-containers/rootlesskit/cmd/rootlessctl
+	$(GO) build -o $@ -v ./cmd/rootlessctl
 
 bin/rootlesskit-docker-proxy: $(GO_FILES)
-	$(GO) build -o $@ -v github.com/rootless-containers/rootlesskit/cmd/rootlesskit-docker-proxy
+	$(GO) build -o $@ -v ./cmd/rootlesskit-docker-proxy
 
 .PHONY: cross
 cross:

=== debian/changelog ===
rootlesskit (2.0.2-2ubuntu0.24.10.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 04 Jul 2025 11:22:01 +1000

rootlesskit (2.0.2-2) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Jul 2024 06:51:23 +0000

rootlesskit (2.0.2-1) experimental; urgency=medium

  * Team upload
  * New upstream version 2.0.2

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Jun 2024 20:05:32 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: rootlesskit
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Shengjing Zhu <zhsj@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Shengjing Zhu <zhsj@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-github-containernetworking-plugins-dev,
                golang-github-gofrs-flock-dev,
                golang-github-gorilla-mux-dev,
                golang-github-gotestyourself-gotest.tools-dev,
                golang-github-insomniacslk-dhcp-dev,
+               golang-github-masterminds-semver-dev,
                golang-github-moby-sys-dev,
                golang-github-sirupsen-logrus-dev,
                golang-github-urfave-cli-v2-dev (>= 2.3.0~),
-               golang-golang-x-sys-dev,
+               golang-golang-x-sys-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/rootlesskit
 Vcs-Git: https://salsa.debian.org/go-team/packages/rootlesskit.git
@@ -25,11 +28,9 @@
 Package: rootlesskit
 Section: admin
 Architecture: linux-any
-Depends: uidmap,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Built-Using: ${misc:Built-Using},
-Recommends: slirp4netns,
+Depends: uidmap, ${misc:Depends}, ${shlibs:Depends}
+Built-Using: ${misc:Built-Using}
+Recommends: slirp4netns
 Description: Linux-native "fake root" for rootless containers
  The purpose of RootlessKit is to run Docker and
  Kubernetes as an unprivileged user (known as "Rootless mode"),
@@ -50,14 +51,16 @@
 Package: golang-github-rootless-containers-rootlesskit-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-gofrs-flock-dev,
+Depends: golang-github-containernetworking-plugins-dev,
+         golang-github-gofrs-flock-dev,
          golang-github-gorilla-mux-dev,
          golang-github-insomniacslk-dhcp-dev,
+         golang-github-masterminds-semver-dev,
          golang-github-moby-sys-dev,
          golang-github-sirupsen-logrus-dev,
          golang-golang-x-sys-dev,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Linux-native "fake root" for rootless containers (library)
  The purpose of RootlessKit is to run Docker and
  Kubernetes as an unprivileged user (known as "Rootless mode"),
